summaryrefslogtreecommitdiff
path: root/bg2
diff options
context:
space:
mode:
authorNick White <git@njw.me.uk>2009-08-16 02:25:28 +0100
committerNick White <git@njw.me.uk>2009-08-16 02:25:28 +0100
commit4f837e2cef827e6f700c5ae180551510ffedc718 (patch)
tree403525e52860588ed9e9336b2197c26034bfe797 /bg2
parent95fa96a6c1d34ba8e53f8e9badd8c0d0c94eff37 (diff)
downloadgemrb-gameinstallers-4f837e2cef827e6f700c5ae180551510ffedc718.tar.bz2
gemrb-gameinstallers-4f837e2cef827e6f700c5ae180551510ffedc718.zip
Work around unshield bug
Basically, if extracting to a directory which was not itself lowercase, unshield would fail. This patch cds to the directory first, to work around the issue. http://sourceforge.net/tracker/?func=detail&aid=2801016&group_id=30550&atid=399601
Diffstat (limited to 'bg2')
-rwxr-xr-xbg2/install-soa-4cd-us-minimal.sh4
-rwxr-xr-xbg2/install-tob-1cd-us-minimal.sh4
2 files changed, 6 insertions, 2 deletions
diff --git a/bg2/install-soa-4cd-us-minimal.sh b/bg2/install-soa-4cd-us-minimal.sh
index 7833dca..ddf51e2 100755
--- a/bg2/install-soa-4cd-us-minimal.sh
+++ b/bg2/install-soa-4cd-us-minimal.sh
@@ -33,7 +33,9 @@ mkdir -p "${TARGETDIR}/portraits" || die
cp "${CDMOUNT}/baldur.ico" "$TARGETDIR" || die
-unshield -L x "${CDMOUNT}/data1.cab" -d "$TARGETDIR" || die
+# work around unshield bug (#2801016 in SynCE project)
+#unshield -L x "${CDMOUNT}/data1.cab" -d "$TARGETDIR" || die
+cd "$TARGETDIR" && unshield -d . -L x "${CDMOUNT}/data1.cab" || die
rm -r "${TARGETDIR}/_"* # remove all the the fake directories.
diff --git a/bg2/install-tob-1cd-us-minimal.sh b/bg2/install-tob-1cd-us-minimal.sh
index 67aa795..147e9a2 100755
--- a/bg2/install-tob-1cd-us-minimal.sh
+++ b/bg2/install-tob-1cd-us-minimal.sh
@@ -37,7 +37,9 @@ then
# TODO ask user to run the appropriate preinstaller.
fi
-unshield -d "$TARGETDIR" -L x "${CDMOUNT}/data1.cab" || die
+# work around unshield bug (#2801016 in SynCE project)
+#unshield -d "$TARGETDIR" -L x "${CDMOUNT}/data1.cab" || die
+cd "$TARGETDIR" && unshield -d . -L x "${CDMOUNT}/data1.cab" || die
rm -r "${TARGETDIR}/_"* # remove all the the fake directories.